Apache Tomcat 7.0.42

## org.apache.catalina
Interface ContainerListener

All Known Implementing Classes:
  HeartbeatListener, MapperListener, NamingContextListener, StandardEngine.AccessLogListener, ThreadLocalLeakPreventionListener

    public interface ContainerListener

Interface defining a listener for significant Container generated events. Note that "container start" and "container stop" events are normally LifecycleEvents, not ContainerEvents.

Version:
  $Id: ContainerListener.java 1200158 2011-11-10 05:32:22Z kkolinko $
Author:
  Craig R. McClanahan

Method Summary
`void` `containerEvent(ContainerEvent event)` Acknowledge the occurrence of the specified event.

Method Detail

### containerEvent

    void containerEvent(ContainerEvent event)

  Acknowledge the occurrence of the specified event.

  Parameters:
    `event` - ContainerEvent that has occurred

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.